"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  TableRenderer: true,
  TdRenderer: true,
  ThRenderer: true,
  CellProperties: true,
  Coordinates: true,
  DisplayCell: true,
  HeuristicTablePluginConfig: true,
  HTMLTableProps: true,
  TableCell: true,
  TableFlexColumnContainer: true,
  TableFlexRowContainer: true,
  TableCellPropsFromParent: true,
  TableRoot: true,
  useHtmlTableProps: true,
  useHtmlTableCellProps: true,
  HTMLTable: true
};
Object.defineProperty(exports, "TableRenderer", {
  enumerable: true,
  get: function () {
    return _TableRenderer.default;
  }
});
Object.defineProperty(exports, "TdRenderer", {
  enumerable: true,
  get: function () {
    return _TdRenderer.default;
  }
});
Object.defineProperty(exports, "ThRenderer", {
  enumerable: true,
  get: function () {
    return _ThRenderer.default;
  }
});
Object.defineProperty(exports, "CellProperties", {
  enumerable: true,
  get: function () {
    return _sharedTypes.CellProperties;
  }
});
Object.defineProperty(exports, "Coordinates", {
  enumerable: true,
  get: function () {
    return _sharedTypes.Coordinates;
  }
});
Object.defineProperty(exports, "DisplayCell", {
  enumerable: true,
  get: function () {
    return _sharedTypes.DisplayCell;
  }
});
Object.defineProperty(exports, "HeuristicTablePluginConfig", {
  enumerable: true,
  get: function () {
    return _sharedTypes.HeuristicTablePluginConfig;
  }
});
Object.defineProperty(exports, "HTMLTableProps", {
  enumerable: true,
  get: function () {
    return _sharedTypes.HTMLTableProps;
  }
});
Object.defineProperty(exports, "TableCell", {
  enumerable: true,
  get: function () {
    return _sharedTypes.TableCell;
  }
});
Object.defineProperty(exports, "TableFlexColumnContainer", {
  enumerable: true,
  get: function () {
    return _sharedTypes.TableFlexColumnContainer;
  }
});
Object.defineProperty(exports, "TableFlexRowContainer", {
  enumerable: true,
  get: function () {
    return _sharedTypes.TableFlexRowContainer;
  }
});
Object.defineProperty(exports, "TableCellPropsFromParent", {
  enumerable: true,
  get: function () {
    return _sharedTypes.TableCellPropsFromParent;
  }
});
Object.defineProperty(exports, "TableRoot", {
  enumerable: true,
  get: function () {
    return _sharedTypes.TableRoot;
  }
});
Object.defineProperty(exports, "useHtmlTableProps", {
  enumerable: true,
  get: function () {
    return _useHtmlTableProps.default;
  }
});
Object.defineProperty(exports, "useHtmlTableCellProps", {
  enumerable: true,
  get: function () {
    return _useHtmlTableCellProps.default;
  }
});
Object.defineProperty(exports, "HTMLTable", {
  enumerable: true,
  get: function () {
    return _HTMLTable.default;
  }
});
exports.default = void 0;

var _TableRenderer = _interopRequireDefault(require("./TableRenderer"));

var _TdRenderer = _interopRequireDefault(require("./TdRenderer"));

var _ThRenderer = _interopRequireDefault(require("./ThRenderer"));

var _sharedTypes = require("./shared-types");

var _models = require("./models");

Object.keys(_models).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _models[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _models[key];
    }
  });
});

var _useHtmlTableProps = _interopRequireDefault(require("./useHtmlTableProps"));

var _useHtmlTableCellProps = _interopRequireDefault(require("./useHtmlTableCellProps"));

var _HTMLTable = _interopRequireDefault(require("./HTMLTable"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Renderers to be merged in the `renderers` prop of `RenderHTML` component.
 *
 * @public
 */
const renderers = {
  table: _TableRenderer.default,
  th: _ThRenderer.default,
  td: _TdRenderer.default
};
var _default = renderers;
exports.default = _default;
//# sourceMappingURL=index.js.map