import { CustomTagRendererProps, TBlock } from 'react-native-render-html';
import { HTMLTableProps } from './shared-types';
/**
 * Customize the rendering logic of the table renderer via this hook.
 *
 * @param props - Props from custom renderer props.
 * @param options - Customize this hook behavior.
 *
 * @returns props for the {@link HTMLTable} component.
 *
 * @public
 */
export default function useHtmlTableProps({ sharedProps, tnode, ...props }: CustomTagRendererProps<TBlock>, options?: {
    /**
     * If present, overrides contentWidth from shared props.
     */
    overrideContentWidth?: number;
}): HTMLTableProps;
